body {
    /* padding-bottom: 30px; */
    position: relative;
    min-height: 100%;
    color: #373737 !important;
}

a {
    transition: background 0.2s, color 0.2s;
    text-decoration: none !important;
}
.page-content a {
    color: #373737;
    font-weight: 500;
}
a:hover,
a:focus {
    text-decoration: none;
}

#admin-wrapper {
    padding-left: 0;
    /* transition: all 0.5s ease; */
    position: relative;
}

#sidebar-wrapper {
    z-index: 1000;
    position: fixed;
    left: 200px;
    width: 0;
    height: 100%;
    margin-left: -200px;
    overflow-y: auto;
    overflow-x: hidden;
}

#admin-wrapper.toggled #sidebar-wrapper {
    width: 200px;
}

.sidebar-brand {
    position: absolute;
    top: 0;
    width: 200px;
    text-align: center;
    padding: 20px 0;
}
.sidebar-brand h2 {
    margin: 0;
    font-weight: 600;
    font-size: 24px;
    color: #fff;
}

.sidebar-nav {
    position: absolute;
    top: 75px;
    width: 200px;
    margin: 0;
    padding: 0;
    list-style: none;
}
.sidebar-nav > li {
    text-indent: 10px;
    line-height: 30px;
}
.sidebar-nav > li a {
    display: block;
    text-decoration: none;
    font-weight: 600;
    font-size: 12px;
    box-shadow: rgba(17, 12, 46, 0.15) 0px 48px 100px 0px;
}
.sidebar-nav > li > a:hover,
.sidebar-nav > li.active > a {
    text-decoration: none;
    color: #000000;
}
.sidebar-nav > li > a i.fa {
    font-size: 15px;
    width: 50px;
}
/* submenu list */
.admin-menu-item ul {
    list-style-type: none;

    margin: 0 !important;
    padding: 5px !important;
}

/* Submenu item background color and hover effect */
.sub-item.active,
.sub-item:hover {
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    border-radius: 10px;
    transition: background-color 0.3s ease, transform 0.2s ease;
}

.sub-item:hover {
    transform: scale(1.02); /* Add hover scaling effect if needed */
}

/*  box shadow for admin-menu items  */

li.admin-menu-item {
    font-size: 15px !important;
    font-weight: 600 !important;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

#navbar-wrapper {
    width: 100%;
    position: absolute;
    z-index: 2;
}
#admin-wrapper.toggled #navbar-wrapper {
    position: absolute;
    margin-right: -200px;
}
#navbar-wrapper .navbar {
    border-width: 0 0 0 0;
    font-size: 24px;
    margin-bottom: 0;
    border-radius: 0;
}
#navbar-wrapper .navbar a {
    color: #fff;
}

#content-wrapper {
    width: 100%;
    position: absolute;
    padding: 15px;
    top: 100px;
}
#admin-wrapper.toggled #content-wrapper {
    position: absolute;
    margin-right: -200px;
}

@media (min-width: 992px) {
    #admin-wrapper {
        padding-left: 200px;
    }

    #admin-wrapper.toggled {
        padding-left: 60px;
    }

    #sidebar-wrapper {
        width: 200px;
    }

    #admin-wrapper.toggled #sidebar-wrapper {
        width: 60px;
    }

    #admin-wrapper.toggled #navbar-wrapper {
        position: absolute;
        margin-right: -190px;
    }

    #admin-wrapper.toggled #content-wrapper {
        position: absolute;
        margin-right: -190px;
    }

    #navbar-wrapper {
        position: relative;
    }

    #admin-wrapper.toggled {
        padding-left: 60px;
    }

    #content-wrapper {
        position: relative;
        top: 0;
    }

    #admin-wrapper.toggled #navbar-wrapper,
    #admin-wrapper.toggled #content-wrapper {
        position: relative;
        margin-right: 60px;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    #admin-wrapper {
        padding-left: 60px;
    }

    #sidebar-wrapper {
        width: 60px;
    }

    #admin-wrapper.toggled #navbar-wrapper {
        position: absolute;
        margin-right: -200px;
    }

    #admin-wrapper.toggled #content-wrapper {
        position: absolute;
        margin-right: -200px;
    }

    #navbar-wrapper {
        position: relative;
    }

    #admin-wrapper.toggled {
        padding-left: 200px;
    }

    #content-wrapper {
        position: relative;
        top: 0;
    }

    #admin-wrapper.toggled #navbar-wrapper,
    #admin-wrapper.toggled #content-wrapper {
        position: relative;
        margin-right: 200px;
    }
}

@media (max-width: 767px) {
    #admin-wrapper {
        padding-left: 0;
    }

    #sidebar-wrapper {
        width: 0;
    }

    #admin-wrapper.toggled #sidebar-wrapper {
        width: 200px;
    }
    #admin-wrapper.toggled #navbar-wrapper {
        position: absolute;
        margin-right: -200px;
    }

    #admin-wrapper.toggled #content-wrapper {
        position: absolute;
        margin-right: -200px;
    }

    #navbar-wrapper {
        position: relative;
    }

    #admin-wrapper.toggled {
        padding-left: 200px;
    }

    #content-wrapper {
        position: relative;
        top: 0;
    }

    #admin-wrapper.toggled #navbar-wrapper,
    #admin-wrapper.toggled #content-wrapper {
        position: relative;
        margin-right: 200px;
    }
}

/* down chevron */
.sidebar-nav > li > a i.fa.fa-chevron-down {
    font-size: 14px;
    width: 75px;
    text-align: end;
    vertical-align: middle;
}

/* header topbar */
.navbar-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

/* topbar menu */
.topleft-menu {
    padding: 10px; /* Add padding as needed */
}
/* Style for the topright-menu */
.topright-menu {
    /* Add any specific styles you want for the topright-menu */
    display: flex;
    justify-content: right;
    padding: 10px; /* Add padding as needed */
}
.topright-menu a {
    list-style-type: none;
    text-decoration: none;
    font-size: 12px;
}

.dropdown-menu[data-bs-popper] {
    top: 100%;
    left: initial !important;
    margin-top: var(--bs-dropdown-spacer);
    position: absolute;
    right: 0.5rem !important;
}
.form-group {
    font-size: 0.75rem !important;
    font-weight: 600 !important;
}
.theme-box {
    width: 200px;
    font-size: 0.75rem !important;
    font-weight: 600 !important;
}
.color-box {
    border: 1px solid grey;
    margin: 0.2rem;
}
/*   Admin Login Form */

/* List  & Form Background  */

.card {
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

/* Form check  */
.form-check-input:checked {
    background-color: #6f003c !important;
    border-color: #6f003c !important;
}
.form-check {
    font-size: 25px !important;
    padding-bottom: 2rem !important;
}

/* button colors  */
.wh-btn-primary {
    border: none;
    background-color: #000051 !important;
    color: #fff !important;
    font-weight: 600 !important;
    font-size: 0.7rem !important;
}
.wh-btn-success {
    border: none;
    background-color: #21960a !important;
    color: #fff !important;
    font-weight: 600 !important;
    font-size: 0.7rem !important;
}
.wh-btn-warning {
    border: none;
    background-color: #616161 !important;
    color: #fff !important;
    font-weight: 600 !important;
    font-size: 0.7rem !important;
}
.wh-btn-info {
    border: none;
    background-color: #df3e3e !important;
    color: #fff !important;
    font-weight: 600 !important;
    font-size: 0.7rem !important;
}
.btn-danger {
    color: #fff !important;
    font-weight: 600 !important;
    font-size: 0.7rem !important;
}

/*  Dashboard Status */

.rounded-circle {
    border-radius: 50% !important;
    width: 40px !important;
    height: 40px !important;
}
.stat-icon i {
    font-size: 30px !important;
    padding-top: 0.25rem !important;
}
.stats {
    font-weight: 500;
}

/* Notisfication icon  */
.notification {
    position: relative;
    display: inline-block;
}

.headerbell {
    position: absolute !important;
    top: -7px !important;
    right: -12px !important;
    background-color: #ff7800;
    color: white;
    border-radius: 50%;
    padding: 5px 10px;
    font-size: 10px;
}
/* datatable list chevron */
.form-select {
    --bs-form-select-bg-img: none !important;
}
.form-control {
    font-size: 0.7rem !important;
}

.table thead tr th {
    font-size: 0.7rem !important;
    background-color: #585858 !important;
    color: #ffffff;
}
.table thead {
    background-color: aliceblue !important;
}
.table tbody tr td {
    font-size: 0.8rem !important;
    color: #373737;
}
/* Breadcrum css */
.page-title-right {
    font-size: 0.7rem !important;
}

.title-text {
    font-size: 1rem !important;
}

/* Challan Status Buttons */
select.challanstbtn {
    border: 1px solid;
    background: #000051;
    width: -webkit-fill-available;
    color: #fff;
}

select.challanmrbtn {
    border: 1px solid;
    background: #616161;
    width: auto;
    color: #fff;
}

/* Swal Fire Popup Success Message */
.my-popup-class {
    width: 300px !important; /* Adjust width as needed */
    height: auto !important; /* Adjust height as needed */
}

.my-content-class {
    font-size: 14px; /* Adjust text size as needed */
}

/* type number css for aero signe*/
input#unitsaleprice,
#quantity,
#hsn,
#uqc,
#unitbaseprice,
#batchno,
#expirydate,
#itemdiscount,
#nettotal,
#disamount,
#itemsalldiscount,
#gtotal,
#alltaxtotal,
#withouttaxtotal {
    padding-left: 0.1rem;
    padding-right: 0.1rem;
    padding-top: 0.25rem;
    padding-bottom: 0.25rem;
}

.taxdetails-results__option {
    padding: 3px;
    user-select: none;
    -webkit-user-select: none;
    font-size: 0.6rem !important;
}

/* Table tfoot css */
tfoot th {
    font-size: 11px; /* Adjust the font size as per your preference */
}

/* .tax-select.select2-results {
    padding: 3px !important;
    user-select: none;
    -webkit-user-select: none;
    font-size: 0.6rem !important;
} */
